Bug 119520 - guile-devel package missing from distribution
Summary: guile-devel package missing from distribution
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: guile   
(Show other bugs)
Version: 3.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-31 01:48 UTC by Graham Leggett
Modified: 2015-03-05 01:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-13 19:57:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Graham Leggett 2004-03-31 01:48:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040301

Description of problem:
The guile-devel package is missing from the distribution. guile is
there, guile-devel is not.

This means that I am forced to download the guile SRPM, hack together
my own version of it, so that I can hack together g-wrap, so that I
can hack together gnucash, which has been conveniently left out the
distro. If RHEL is only useful after the distro has been hacked to
pieces first,  I might as well use Fedora and save myself a tonne of
money and time.


Version-Release number of selected component (if applicable):
guile-1.6.4-8

How reproducible:
Always

Steps to Reproduce:
xxx

Additional info:

Comment 1 Graham Leggett 2004-03-31 02:22:49 UTC
Trying to rebuild guile from SRPM bombs out like so:

/bin/sh ../libtool --mode=link gcc  -O2 -g -pipe -march=i386
-mcpu=i686 -Wall -Wmissing-prototypes 
-L/home/gatekeeper/minfrin/rpm/BUILD/guile-1.6.4/libguile/.libs -o
libqthreads.la  -rpath /usr/lib -export-dynamic -no-undefined
-version-info 15:0:3  qt.lo qtmds.lo qtmdc.lo -lpthread -lcrypt -lm
rm -fr .libs/libqthreads.la .libs/libqthreads.* .libs/libqthreads.*
gcc -shared  qt.lo qtmds.lo qtmdc.lo 
-L/home/gatekeeper/minfrin/rpm/BUILD/guile-1.6.4/libguile/.libs
-lpthread -lcrypt -lm  -Wl,-soname -Wl,libqthreads.so.12 -o
.libs/libqthreads.so.12.3.0
/usr/bin/ld: cannot open qtmds.lo: No such file or directory
collect2: ld returned 1 exit status
make[3]: *** [libqthreads.la] Error 1
make[3]: Leaving directory
`/home/gatekeeper/minfrin/rpm/BUILD/guile-1.6.4/qt'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/home/gatekeeper/minfrin/rpm/BUILD/guile-1.6.4/qt'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory
`/home/gatekeeper/minfrin/rpm/BUILD/guile-1.6.4'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.74343 (%build)
 
 
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.74343 (%build)


Comment 2 Suzanne Hillman 2005-04-13 19:57:47 UTC
At least as of RHBA-2004:539, guile-devel is included:

https://rhn.redhat.com/network/errata/details/package_list.pxt?eid=2660

So, I'm closing this.


Note You need to log in before you can comment on or make changes to this bug.